libsigc++: sigc::exception_catch_functor< T_functor, T_catcher, void > Struct Template Reference

libsigc++ 2.6.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
sigc::exception_catch_functor< T_functor, T_catcher, void > Struct Template Reference

`#include <sigc++/adaptors/exception_catch.h>`

Inheritance diagram for sigc::exception_catch_functor< T_functor, T_catcher, void >:
[legend]

## Public Types
typedef adapts< T_functor >::adaptor_type | adaptor_type
typedef void | result_type
Public Types inherited from sigc::adapts< T_functor >
typedef adaptor_trait< T_functor >::adaptor_type | adaptor_type
typedef adaptor_trait< T_functor >::result_type | result_type

## Public Member Functions
| exception_catch_functor ()
| exception_catch_functor (const T_functor& _A_func, const T_catcher& _A_catcher)
| ~exception_catch_functor ()
void | operator() ()
template<class T_arg1 >
deduce_result_type< T_arg1 >::type | operator() (T_arg1 _A_a1)
template<class T_arg1 , class T_arg2 >
deduce_result_type< T_arg1, T_arg2 >::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2)
template<class T_arg1 , class T_arg2 , class T_arg3 >
deduce_result_type< T_arg1, T_arg2, T_arg3 >::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3)
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4 >::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4)
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5)
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6)
template<class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6, T_arg7 _A_a7)
Public Member Functions inherited from sigc::adapts< T_functor >
| adapts (const T_functor& _A_functor)
| Constructs an adaptor that wraps the passed functor. More...

## Public Attributes
T_catcher | catcher_
Public Attributes inherited from sigc::adapts< T_functor >
adaptor_type | functor_
| Adaptor that is invoked from operator()(). More...

## Member Typedef Documentation

template <class T_functor , class T_catcher >

typedef adapts<T_functor>::adaptor_type sigc::exception_catch_functor< T_functor, T_catcher, void >::adaptor_type

template <class T_functor , class T_catcher >

typedef void sigc::exception_catch_functor< T_functor, T_catcher, void >::result_type

## Constructor & Destructor Documentation

template <class T_functor , class T_catcher >

sigc::exception_catch_functor< T_functor, T_catcher, void >::exception_catch_functor | ( |  | ) |
| inline

template <class T_functor , class T_catcher >

sigc::exception_catch_functor< T_functor, T_catcher, void >::exception_catch_functor | ( | const T_functor & | _A_func,
|  | const T_catcher & | _A_catcher
| ) |  |
| inline

template <class T_functor , class T_catcher >

sigc::exception_catch_functor< T_functor, T_catcher, void >::~exception_catch_functor | ( |  | ) |
| inline

## Member Function Documentation

template <class T_functor , class T_catcher >

void sigc::exception_catch_functor< T_functor, T_catcher, void >::operator() | ( |  | ) |

template <class T_functor , class T_catcher >
template <class T_arg1 >

deduce_result_type<T_arg1>::type sigc::exception_catch_functor< T_functor, T_catcher, void >::operator() | ( | T_arg1 | _A_a1 | ) |
| inline

template <class T_functor , class T_catcher >
template <class T_arg1 , class T_arg2 >

deduce_result_type<T_arg1, T_arg2>::type sigc::exception_catch_functor< T_functor, T_catcher, void >::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2
| ) |  |
| inline

template <class T_functor , class T_catcher >
template <class T_arg1 , class T_arg2 , class T_arg3 >

deduce_result_type<T_arg1, T_arg2, T_arg3>::type sigc::exception_catch_functor< T_functor, T_catcher, void >::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3
| ) |  |
| inline

template <class T_functor , class T_catcher >
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >

deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4>::type sigc::exception_catch_functor< T_functor, T_catcher, void >::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4
| ) |  |
| inline

template <class T_functor , class T_catcher >
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >

deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5>::type sigc::exception_catch_functor< T_functor, T_catcher, void >::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5
| ) |  |
| inline

template <class T_functor , class T_catcher >
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >

deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6>::type sigc::exception_catch_functor< T_functor, T_catcher, void >::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5,
|  | T_arg6 | _A_a6
| ) |  |
| inline

template <class T_functor , class T_catcher >
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >

deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>::type sigc::exception_catch_functor< T_functor, T_catcher, void >::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5,
|  | T_arg6 | _A_a6,
|  | T_arg7 | _A_a7
| ) |  |
| inline

## Member Data Documentation

template <class T_functor , class T_catcher >

T_catcher sigc::exception_catch_functor< T_functor, T_catcher, void >::catcher_